Project

General

Profile

Bug #4009

kepler 2.0 must provide everything needed for modules

Added by Derik Barseghian over 10 years ago. Updated almost 10 years ago.

Status:
Resolved
Priority:
Immediate
Assignee:
Category:
core
Target version:
Start date:
04/21/2009
Due date:
% Done:

0%

Estimated time:
Bugzilla-Id:
4009

Description

This is a tracking bug meant to ensure that the standard kepler 2.0 system provides everything needed by modules.

We'll attempt to anticipate needs by at least making 2.0 provide everything needed by modules under development now, like wrp, comad, master-slave, etc.

For example, the configuration system should be in place (bug #3948), potentially a centralized event bus for module communication (although it's been suggested that modules should provide and listen to these interfaces themselves instead), and so forth. Please add blockers here as you encounter them.


Related issues

Blocks Kepler - Bug #3948: Create new configuration system supporting modulesResolved04/06/2009

Blocks Kepler - Bug #3947: Create a module managerResolved04/06/2009

Blocks Kepler - Bug #4338: need to review usability and gui of module managerResolved08/26/2009

Blocks Kepler - Bug #4339: build system needs to provide more information on modulesNew08/26/2009

Blocks Kepler - Bug #4668: Documentation for event-state moduleResolved01/13/2010

History

#1 Updated by Chad Berkley almost 10 years ago

All module support that is going to be included in 2.0 is now working. If more module support is desired in the future, open new bugs for it and target post 2.0.

#2 Updated by Redmine Admin over 6 years ago

Original Bugzilla ID was 4009

Also available in: Atom PDF